Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class ControlResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          weblogic.security.service.ControlResource

All Implemented Interfaces:
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public final class ControlResource

extends ResourceBase

The `ControlResource` class is used by a controls container to specify the Control resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for an Control resource is:
`type=<control>, app=myApp, control=myControl, method=myMethod, methodParams={argumentType1, argumentType2}`

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`ControlResource(String application, String control, String method, String[] methodParams)` Constructs a new `ControlResource` with a target name composed from the `app`, `control`, `method`, and `methodParams` parameters.

Method Summary
`String` | `getApplicationName()` Gets the name of the application associated with the `ControlResource`.
`String` | `getControlName()` Gets the name of the Control.
`int` | `getFieldType(String fieldName)` Describe `getFieldType` method here.
`String[]` | `getKeys()` Gets keys for the `ControlResource`.
`String` | `getMethodName()` Gets the name of the method on the `ControlResource`.
`String[]` | `getMethodParams()` Gets the parameter signature of the target method.
`String` | `getType()` Gets the type of this resource (`ControlResource`).
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `ControlResource`.
`protected void` | `writeResourceString(StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, isTransitiveField, reset, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlResource

    public ControlResource(String application,
                           String control,
                           String method,
                           String[] methodParams)

  Constructs a new `ControlResource` with a target name composed from the `app`, `control`, `method`, and `methodParams` parameters.

  Parameters:
    `app` - a String indicating the name of the application in which the control resource is deployed.
    `control` - a String representing the name of the control.
    `method` - a String representing the name of the method on the control resource. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the method name.

    `methodParams` - an array of Strings used to specify the parameter signature of the target method. Each element in the array contains the fully-qualified Java classname of the corresponding parameter signature. The order of the elements in the array must take the order of the arguments found in the method signature. An empty array is used to represent a method signature with no arguments. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the method signature.

Method Detail

### getFieldType

    public int getFieldType(String fieldName)

  Description copied from interface: `SelfDescribingResource`
  Describe `getFieldType` method here.

  Specified by:
    `getFieldType` in interface `SelfDescribingResource`
  Overrides:
    `getFieldType` in class `ResourceBase`
  Parameters:
    `fieldName` - the `String` name of the field being queried.
  Returns:
    the `int` field type of `fieldName`

### writeResourceString

    protected void writeResourceString(StringBuffer buf)

  Writes a string representation of the resource to buffer.

  Overrides:
    `writeResourceString` in class `ResourceBase`
  Parameters:
    `buf` - buffer to write to.

### getType

    public String getType()

  Gets the type of this resource (`ControlResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `ControlResource`. If the resource does not have a parent, the value of `null` is returned.

  The parentage hierarchy for the `ControlResource` (that is, the values returned from successive calls to this method) is:

  `type=<control>, application=myApp, control=myControl, method=myMethod, signature={argumentType1,argumentType2} type=<control>, application=myApp, control=myControl, method=myMethod type=<control>, application=myApp, control=myControl type=<control>, application=myApp type=<app>, application=myApp type=<control>`

  Overrides:
    `makeParent` in class `ResourceBase`
  Returns:
    a `Resource` object of the parent resource.

### getKeys

    public String[] getKeys()

  Gets keys for the `ControlResource`.

  Specified by:
    `getKeys` in interface `Resource`
  Specified by:
    `getKeys` in class `ResourceBase`
  Returns:
    an array of Strings containing the `ControlResource`'s keys.

### getApplicationName

    public String getApplicationName()

  Gets the name of the application associated with the `ControlResource`.

  Returns:
    the name of the application associated with the `ControlResource`, represented as a String.

### getControlName

    public String getControlName()

  Gets the name of the Control.

  Returns:
    the name of the Control, represented as a String.

### getMethodName

    public String getMethodName()

  Gets the name of the method on the `ControlResource`.

  Returns:
    the name of the method on the `ControlResource`, represented as a String.

### getMethodParams

    public String[] getMethodParams()

  Gets the parameter signature of the target method.

  Returns:
    the parameter signature of the target method, represented as an array of Strings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD